summaryrefslogtreecommitdiffstats
path: root/setup2hd/SeTumedia.tpl
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2020-10-05 15:34:46 +0200
committer Eric Hameleers <alien@slackware.com>2020-10-05 15:34:46 +0200
commit70b689e6bf00338f55ae2daf1c2d0c2d972e00e8 (patch)
tree37dfca537a833973a2443133391f06c57d348e41 /setup2hd/SeTumedia.tpl
parent9abd86d3b8c45e32bce75bb6db402868e34631b6 (diff)
downloadliveslak-70b689e6bf00338f55ae2daf1c2d0c2d972e00e8.tar.gz
liveslak-70b689e6bf00338f55ae2daf1c2d0c2d972e00e8.tar.xz
setup2hd: add option to install regular Slackware via network mirror
The setup2hd script is a modified Slackware installer. For liveslak I had originally removed all the usual SOURCE selections and only allowed for the installation of the Live OS to harddisk. However, requests were sent to also support a regular installation of Slackware using the Live ISO. That is why I have now re-added all the Slackware network install choices (via NFS, HTTP, FTP or Samba mirror). I still left out the Slackware installation using local media; the Live ISO does not contain regular Slackware packages so that would not make sense.
Diffstat (limited to 'setup2hd/SeTumedia.tpl')
-rw-r--r--setup2hd/SeTumedia.tpl32
1 files changed, 32 insertions, 0 deletions
diff --git a/setup2hd/SeTumedia.tpl b/setup2hd/SeTumedia.tpl
new file mode 100644
index 0000000..8510acb
--- /dev/null
+++ b/setup2hd/SeTumedia.tpl
@@ -0,0 +1,32 @@
+#!/bin/sh
+TMP=/var/log/setup/tmp
+if [ ! -d $TMP ]; then
+ mkdir -p $TMP
+fi
+
+dialog --backtitle "Select Slackware installation source." \
+--title "SOURCE MEDIA SELECTION" --menu \
+"Please select the media from which to install Slackware Linux:" \
+14 70 7 \
+"1" "Install from NFS (Network File System)" \
+"2" "Install from FTP/HTTP server" \
+"3" "Install from Samba share" \
+"4" "Install @UDISTRO@ (@LIVEDE@) Live OS to disk" \
+2> $TMP/media
+if [ ! $? = 0 ]; then
+ rm $TMP/media
+ exit
+fi
+
+SOURCE_MEDIA="`cat $TMP/media`"
+rm -f $TMP/media
+if [ "$SOURCE_MEDIA" = "1" ]; then
+ INSNFS
+elif [ "$SOURCE_MEDIA" = "2" ]; then
+ INSURL
+elif [ "$SOURCE_MEDIA" = "3" ]; then
+ INSSMB
+elif [ "$SOURCE_MEDIA" = "4" ]; then
+ touch $TMP/SeTlive
+fi
+